Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 2791203002: Switching WebRtc private API from AudioManager to AudioSystem (Closed)

Created:
7 months, 3 weeks ago by o1ka
Modified:
7 months, 1 week ago
Reviewers:
Guido Urdaneta, Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, audio-mojo-cl_google.com, Max Morin
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Switching WebRtc private API from AudioManager to AudioSystem. Parent CLs: * WebRTC Audio private API: removing WebRtcAudioPrivate(Set/Get)ActiveSinkFunction (https://codereview.chromium.org/2784563003/) * Switching AudioInputDeviceManager from using AudioManager interface to AudioSystem one (https://codereview.chromium.org/2763383002/) BUG=672468 Review-Url: https://codereview.chromium.org/2791203002 Cr-Commit-Position: refs/heads/master@{#466322} Committed: https://chromium.googlesource.com/chromium/src/+/2629d55c9fa2e2587a25066c6ac2c45bef93b7dc

Patch Set 1 #

Patch Set 2 : browser_tests fixed #

Total comments: 18

Patch Set 3 : Review comments addressed #

Total comments: 2

Patch Set 4 : Methods renamed #

Patch Set 5 : rebase #

Patch Set 6 : rebase #

Patch Set 7 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+137 lines, -265 lines) Patch
M chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.h View 1 2 3 4 5 3 chunks +32 lines, -66 lines 0 comments Download
M chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc View 1 2 3 4 5 4 chunks +69 lines, -126 lines 0 comments Download
M chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_browsertest.cc View 1 2 3 4 5 9 chunks +36 lines, -73 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 32 (18 generated)
o1ka
PTAL. It might be a bit confusing to review without a context of parent CLs, ...
7 months, 3 weeks ago (2017-04-03 12:05:08 UTC) #3
o1ka
On 2017/04/03 12:05:08, o1ka wrote: > PTAL. It might be a bit confusing to review ...
7 months, 3 weeks ago (2017-04-03 12:12:48 UTC) #4
Devlin
On 2017/04/03 12:12:48, o1ka wrote: > On 2017/04/03 12:05:08, o1ka wrote: > > PTAL. It ...
7 months, 3 weeks ago (2017-04-03 16:22:52 UTC) #5
o1ka
Tests fixed - PTAL now. A question: is there any specific reason for these functions ...
7 months, 3 weeks ago (2017-04-05 09:13:34 UTC) #6
Devlin
On 2017/04/05 09:13:34, o1ka wrote: > Tests fixed - PTAL now. > > A question: ...
7 months, 3 weeks ago (2017-04-06 01:42:18 UTC) #7
Devlin
https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (left): https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#oldcode214 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:214: results_ = wap::GetSinks::Results::Create(results); I think this was indeed safe, ...
7 months, 3 weeks ago (2017-04-06 01:42:33 UTC) #8
Max Morin
https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.h File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.h (right): https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.h#newcode80 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.h:80: using SyncInfoVector = std::vector<api::webrtc_audio_private::SinkInfo>; "Sink"? https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.h#newcode112 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.h:112: // IO ...
7 months, 3 weeks ago (2017-04-06 07:41:20 UTC) #9
o1ka
Thanks! Addressed the comments. guidou@ - ping? https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (left): https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#oldcode214 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:214: results_ = ...
7 months, 3 weeks ago (2017-04-06 11:01:22 UTC) #10
Guido Urdaneta
Nice refactoring! https://codereview.chromium.org/2791203002/diff/40001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (right): https://codereview.chromium.org/2791203002/diff/40001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#newcode231 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:231: CalculateHMACAndReplyOnUIThread(const std::string& raw_sink_id) { Normally the OnXXThread ...
7 months, 3 weeks ago (2017-04-06 13:52:42 UTC) #11
Devlin
lgtm % nit https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (left): https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#oldcode214 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:214: results_ = wap::GetSinks::Results::Create(results); On 2017/04/06 11:01:22, ...
7 months, 3 weeks ago (2017-04-06 21:23:27 UTC) #12
o1ka
Thanks! Methods renamed - PTAL. https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc File chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc (left): https://codereview.chromium.org/2791203002/diff/20001/chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc#oldcode214 chrome/browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc:214: results_ = wap::GetSinks::Results::Create(results); On ...
7 months, 3 weeks ago (2017-04-07 12:10:23 UTC) #17
Guido Urdaneta
lgtm
7 months, 2 weeks ago (2017-04-11 09:58:14 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2791203002/120001
7 months, 1 week ago (2017-04-21 13:44:09 UTC) #29
commit-bot: I haz the power
7 months, 1 week ago (2017-04-21 13:48:32 UTC) #32
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/2629d55c9fa2e2587a25066c6ac2...

Powered by Google App Engine
This is Rietveld efc10ee0f